#!/usr/bin/env jruby
require 'jrubyfx'

fxml_root "."
include Java
require 'lib/aquafx-0.3-SNAPSHOT.jar'
require 'lib/stylemanager-0.7.jar'
java_import 'com.aquafx_project.AquaFx'
java_import 'com.guigarage.stylemanager.ApplicationStyleManager'
AquaFx.style()

class AquaBugPoc < JRubyFX::Application
  def start(stage)
    with(stage) do
      fxml SimpleFXController
      show
    end
  end
end

class SimpleFXController
  include JRubyFX::Controller
  fxml 'tab.fxml'

  def add_tab
    # run_later do
      @tab_pane.tabs.add(tab("new tab"))
    # end
  end
end

AquaBugPoc.launch
